beautifulsoup4
datasets==2.*
django-axes==6.*
django-cachalot==2.5.*
django-configurations==2.2.*
django-elasticsearch-dsl==7.3.*
django-import-export==3.*
django-modeltranslation==0.18.*
djangorestframework==3.12.*
django==4.1.13
drf-spectacular==0.20.*
feedparser==6.*
habanero==1.0.*
lingua-language-detector==1.0.*
lxml>=4.9
numpy
nh3>=0.2.15
Pillow==10.*
protobuf==3.20.*  # higher version possible when this is sorted out for tensorflow: https://stackoverflow.com/questions/72441758/typeerror-descriptors-cannot-not-be-created-directly/72493690#72493690
psycopg2-binary==2.9.2
pymemcache==3.*
pytorch-lightning==1.6.*
ray==2.3.*
ray[serve]
requests
scikit-learn
torch==1.13.*
torchmetrics
tqdm
transformers==4.26.*
